package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import java.util.List;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 参数包对象 tp_parabar
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
@Data
public class TpParabar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 参数包名称 */
    @Excel(name = "参数包名称")
    private String parabarName;

    /** 参数包名称(英) */
    @Excel(name = "参数包名称(英)")
    @TableField(value = "parabar_nameUS")
    private String parabarNameUS;

    /** 参数包名称(俄) */
    @Excel(name = "参数包名称(俄)")
    @TableField(value = "parabar_nameRU")
    private String parabarNameRU;

    /** 参数包名称(西) */
    @Excel(name = "参数包名称(西)")
    @TableField(value = "parabar_nameES")
    private String parabarNameES;

    @Excel(name = "关联梯型")
    @TableField(exist = false)
    private String relatedModel;

    /** 是否装潢包（0：否 1：是） */
    @Excel(name = "是否装潢包", readConverterExp = "0=否,1=是")
    private String decorateFlag;

    /** 状态（0：启用  1：停用） */
    @Excel(name = "状态", readConverterExp = "0=启用,1=停用")
    private String status;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    @TableField(exist = false)
    private Boolean showType = true;
    @TableField(exist = false)
    private String relatedType = "1";
    @TableField(exist = false)
    private List<Long> ids;

    @TableField(exist = false)
    private String[] relatedModelIdArrary;

    @TableField(exist = false)
    private String language;
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parabarName", getParabarName())
            .append("parabarNameUS", getParabarNameUS())
            .append("parabarNameRU", getParabarNameRU())
            .append("parabarNameES", getParabarNameES())
            .append("decorateFlag", getDecorateFlag())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
